Create a sending domain restriction
POST/accounts/{account_id}/email-security/settings/sending_domain_restrictions
Creates a new sending domain restriction to enforce TLS requirements for a domain. Emails without TLS from this domain will be dropped unless the subdomain is in the exclude list.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Body ParametersJSON
Create a sending domain restriction
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/email-security/settings/sending_domain_restrictions \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"domain": "example.com",
"exclude": [
"subdomain.example.com"
],
"comments": "Enforce TLS for all mail from this domain"
}'{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"comments": "Enforce TLS for all mail from this domain",
"created_at": "2014-01-01T05:20:00.12345Z",
"domain": "example.com",
"exclude": [
"subdomain.example.com"
],
"last_modified": "2014-01-01T05:20:00.12345Z",
"modified_at": "2014-01-01T05:20:00.12345Z"
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"comments": "Enforce TLS for all mail from this domain",
"created_at": "2014-01-01T05:20:00.12345Z",
"domain": "example.com",
"exclude": [
"subdomain.example.com"
],
"last_modified": "2014-01-01T05:20:00.12345Z",
"modified_at": "2014-01-01T05:20:00.12345Z"
}
}